Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class XMPSchemaPhotoshop

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.XMPSchemaPhotoshop

public class XMPSchemaPhotoshop
extends XMPSchema

Define XMP properties used with Adobe Photoshop documents.

Version:
  $Revision: 1.2 $
Author:
  $Author: benlitchfield $

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaPhotoshop(org.w3c.dom.Element element, java.lang.String aPrefix)` Constructor for existing XML element.
`XMPSchemaPhotoshop(XMPMetadata parent)` Construct a new blank Photoshop schema.

Method Summary
`void` | `addSupplementalCategory(java.lang.String s)` Add a new supplemental category.
`java.lang.String` | `getAuthorsPosition()` By-line title.
`java.lang.String` | `getCaptionWriter()` Writer/editor.
`java.lang.String` | `getCategory()` The category.
`java.lang.String` | `getCity()` The city.
`java.lang.String` | `getCountry()` The country.
`java.lang.String` | `getCredit()` The credit property.
`java.lang.String` | `getDateCreated()` Creation date.
`java.lang.String` | `getHeadline()` Headline.
`java.lang.String` | `getInstructions()` The instructions.
`java.lang.String` | `getSource()` The source.
`java.lang.String` | `getState()` The state.
`java.util.List` | `getSupplementalCategories()` Get a list of all supplemental categories.
`java.lang.String` | `getTransmissionReference()` The transmission reference.
`java.lang.Integer` | `getUrgency()` The urgency.
`void` | `removeSupplementalCategory(java.lang.String s)` Remove a supplemental category.
`void` | `setAuthorsPosition(java.lang.String s)` By-line title.
`void` | `setCaptionWriter(java.lang.String s)` Writer/editor.
`void` | `setCategory(java.lang.String s)` Category; limited to 3 7-bit characters.
`void` | `setCity(java.lang.String s)` The city.
`void` | `setCountry(java.lang.String s)` The country.
`void` | `setCredit(java.lang.String s)` Credit.
`void` | `setDateCreated(java.lang.String s)` Date created; creation date of the source document which may be earlier than the digital representation.
`void` | `setHeadline(java.lang.String s)` The headline.
`void` | `setInstructions(java.lang.String s)` Instructions.
`void` | `setSource(java.lang.String s)` The source.
`void` | `setState(java.lang.String s)` The state.
`void` | `setTransmissionReference(java.lang.String s)` The transmission reference.
`void` | `setUrgency(java.lang.Integer s)` The urgency.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaPhotoshop

    public XMPSchemaPhotoshop(XMPMetadata parent)

  Construct a new blank Photoshop schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaPhotoshop

    public XMPSchemaPhotoshop(org.w3c.dom.Element element,
                              java.lang.String aPrefix)

  Constructor for existing XML element.

Parameters:
  `element` - The XML element.
  `aPrefix` - The XML prefix; photoshop.

Method Detail

### setAuthorsPosition

    public void setAuthorsPosition(java.lang.String s)

  By-line title.

  Parameters:
    `s` - The authors position.

### getAuthorsPosition

    public java.lang.String getAuthorsPosition()

  By-line title.

  Returns:
    The authors position.

### setCaptionWriter

    public void setCaptionWriter(java.lang.String s)

  Writer/editor.

  Parameters:
    `s` - The caption writer.

### getCaptionWriter

    public java.lang.String getCaptionWriter()

  Writer/editor.

  Returns:
    The caption writer.

### setCategory

    public void setCategory(java.lang.String s)

  Category; limited to 3 7-bit characters.

  Parameters:
    `s` - The category.

### getCategory

    public java.lang.String getCategory()

  The category.

  Returns:
    The category.

### setCity

    public void setCity(java.lang.String s)

  The city.

  Parameters:
    `s` - The city.

### getCity

    public java.lang.String getCity()

  The city.

  Returns:
    The city.

### setCountry

    public void setCountry(java.lang.String s)

  The country.

  Parameters:
    `s` - The country.

### getCountry

    public java.lang.String getCountry()

  The country.

  Returns:
    The country.

### setCredit

    public void setCredit(java.lang.String s)

  Credit.

  Parameters:
    `s` - The credit property.

### getCredit

    public java.lang.String getCredit()

  The credit property.

  Returns:
    The credit property.

### setDateCreated

    public void setDateCreated(java.lang.String s)

  Date created; creation date of the source document which may be earlier than the digital representation.

  Parameters:
    `s` - The date created.

### getDateCreated

    public java.lang.String getDateCreated()

  Creation date.

  Returns:
    The creation date.

### setHeadline

    public void setHeadline(java.lang.String s)

  The headline.

  Parameters:
    `s` - The headline.

### getHeadline

    public java.lang.String getHeadline()

  Headline.

  Returns:
    The headline.

### setInstructions

    public void setInstructions(java.lang.String s)

  Instructions.

  Parameters:
    `s` - The instructions.

### getInstructions

    public java.lang.String getInstructions()

  The instructions.

  Returns:
    The instructions.

### setSource

    public void setSource(java.lang.String s)

  The source.

  Parameters:
    `s` - The source.

### getSource

    public java.lang.String getSource()

  The source.

  Returns:
    The source.

### setState

    public void setState(java.lang.String s)

  The state.

  Parameters:
    `s` - The state.

### getState

    public java.lang.String getState()

  The state.

  Returns:
    The state.

### addSupplementalCategory

    public void addSupplementalCategory(java.lang.String s)

  Add a new supplemental category.

  Parameters:
    `s` - The supplemental category.

### getSupplementalCategories

    public java.util.List getSupplementalCategories()

  Get a list of all supplemental categories.

  Returns:
    The supplemental categories.

### removeSupplementalCategory

    public void removeSupplementalCategory(java.lang.String s)

  Remove a supplemental category.

  Parameters:
    `s` - The supplemental category.

### setTransmissionReference

    public void setTransmissionReference(java.lang.String s)

  The transmission reference.

  Parameters:
    `s` - The transmission reference.

### getTransmissionReference

    public java.lang.String getTransmissionReference()

  The transmission reference.

  Returns:
    The transmission reference.

### setUrgency

    public void setUrgency(java.lang.Integer s)

  The urgency.

  Parameters:
    `s` - The urgency.

### getUrgency

    public java.lang.Integer getUrgency()

  The urgency.

  Returns:
    The urgency.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD